Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  abstract class TailCalls extends SubComponent with Transform

  Perform tail recursive call elimination.

  Perform tail recursive call elimination.

  Definition Classes
    transform
-  class TailCallElimination extends Global.AstTransformer

  A Tail Call Transformer

  A Tail Call Transformer

  Definition Classes
    TailCalls
- ClonedTailContext
- DefDefTailContext
- EmptyTailContext
- TailContext

o

scala.tools.nsc.transform.TailCalls.TailCallElimination

# EmptyTailContext

###

#### object EmptyTailContext extends TailContext

Source
  TailCalls.scala

Linear Supertypes
TailContext, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. EmptyTailContext
2. TailContext
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def clonedTailContext(tailPos: Boolean): TailContext
   Attributes
     protected
   Definition Classes
     TailContext
   Annotations
     @tailrec()
7.  def enclosingType: Global.Type
   Definition Classes
     TailContext
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def isEligible: Boolean
    Definition Classes
      TailContext
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  def isMandatory: Boolean
    Definition Classes
      TailContext
16.  def isTransformed: Boolean
    Definition Classes
      TailContext
17.  def label: Global.NoSymbol
    Definition Classes
      EmptyTailContext → TailContext
18.  def method: Global.NoSymbol
    Definition Classes
      EmptyTailContext → TailContext
19.  def methodPos: NoPosition
    Definition Classes
      EmptyTailContext → TailContext
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  def newThis(pos: Global.Position): Global.TermSymbol
    Definition Classes
      TailContext
22.  final def noTailContext(): TailContext
    Definition Classes
      TailContext
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
26.  def tailLabels: Set[Global.Symbol]
    Definition Classes
      EmptyTailContext → TailContext
27.  def tailPos: Boolean
    Definition Classes
      EmptyTailContext → TailContext
28.  def toString(): String
    Definition Classes
      TailContext → AnyRef → Any
29.  def tparams: collection.immutable.Nil
    Definition Classes
      EmptyTailContext → TailContext
30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
33.  final def yesTailContext(): TailContext
    Definition Classes
      TailContext

### Inherited from TailContext

### Inherited from AnyRef

### Inherited from Any

### Ungrouped